=== sound/soc/msm/Makefile ===
# MSM CPU/CODEC DAI Support
snd-soc-msm-dai-objs := msm-dai.o
obj-$(CONFIG_SND_MSM_DAI_SOC) += snd-soc-msm-dai.o

snd-soc-msm7kv2-dai-objs := msm7kv2-dai.o
obj-$(CONFIG_SND_MSM7KV2_DAI_SOC) += snd-soc-msm7kv2-dai.o

# MSM Platform Support
snd-soc-msm-objs := msm-pcm.o msm7k-pcm.o
obj-$(CONFIG_SND_MSM_SOC) += snd-soc-msm.o

snd-soc-msmv2-objs := msm7kv2-dsp.o msm7kv2-pcm.o
obj-$(CONFIG_SND_MSM7KV2_SOC) += snd-soc-msmv2.o

# MSM Machine Support
snd-soc-msm7k-objs := msm7201.o
obj-$(CONFIG_SND_MSM_SOC_MSM7K) += snd-soc-msm7k.o

snd-soc-msm7kv2-objs := msm7x30.o
obj-$(CONFIG_SND_MSM_SOC_MSM7KV2) += snd-soc-msm7kv2.o

# 8660 ALSA Support
snd-soc-msm8x60-dai-objs := msm8x60-dai.o
obj-$(CONFIG_SND_SOC_MSM8X60_DAI) += snd-soc-msm8x60-dai.o

snd-soc-msm8x60-pcm-objs := msm8x60-pcm.o
obj-$(CONFIG_SND_SOC_MSM8X60_PCM) += snd-soc-msm8x60-pcm.o

snd-soc-msm8x60-objs := msm8x60.o
obj-$(CONFIG_SND_SOC_MSM8X60) += snd-soc-msm8x60.o


#MVS Support
snd-soc-msm-mvs-dai-objs := mvs-dai.o
obj-$(CONFIG_SND_MSM_MVS_DAI_SOC) += snd-soc-msm-mvs-dai.o

snd-soc-msm-mvs-objs := msm-mvs.o
obj-$(CONFIG_SND_MVS_SOC) += snd-soc-msm-mvs.o

# 8660 ALSA Support
snd-soc-lpass-objs := lpass-i2s.o lpass-dma.o
obj-$(CONFIG_SND_SOC_MSM8660_LPAIF) += snd-soc-lpass.o

snd-soc-lpass-pcm-objs := lpass-pcm.o
obj-$(CONFIG_SND_SOC_LPASS_PCM) += snd-soc-lpass-pcm.o

#8660 VOIP Driver Support

snd-soc-msm-voip-objs := msm-voip.o
obj-$(CONFIG_SND_VOIP_PCM) += snd-soc-msm-voip.o

snd-soc-lpass-dma-objs := lpass-dma.o
obj-$(CONFIG_SND_SOC_MSM8X60) += snd-soc-lpass-dma.o

# for MSM 8960 sound card driver

obj-$(CONFIG_SND_SOC_MSM_QDSP6_INTF) += qdsp6/

snd-soc-qdsp6-objs := msm-dai-q6.o msm-pcm-q6.o msm-multi-ch-pcm-q6.o msm-lowlatency-pcm-q6.o msm-pcm-routing.o msm-dai-fe.o msm-compr-q6.o msm-dai-stub.o
obj-$(CONFIG_SND_SOC_MSM_QDSP6_HDMI_AUDIO) += msm-dai-q6-hdmi.o
obj-$(CONFIG_SND_SOC_VOICE) += msm-pcm-voice.o msm-pcm-voip.o
snd-soc-qdsp6-objs += msm-pcm-lpa.o msm-pcm-afe.o
obj-$(CONFIG_SND_SOC_QDSP6) += snd-soc-qdsp6.o

snd-soc-msm8960-objs := msm8960.o apq8064.o msm8930.o mpq8064.o
obj-$(CONFIG_SND_SOC_MSM8960) += snd-soc-msm8960.o

# Generic MSM drivers
snd-soc-hostless-pcm-objs := msm-pcm-hostless.o
obj-$(CONFIG_SND_SOC_MSM_HOSTLESS_PCM) += snd-soc-hostless-pcm.o

snd-soc-msm8660-apq-objs := msm8660-apq-wm8903.o
obj-$(CONFIG_SND_SOC_MSM8660_APQ) += snd-soc-msm8660-apq.o

# for MDM 9615 sound card driver
snd-soc-mdm9615-objs := mdm9615.o
obj-$(CONFIG_SND_SOC_MDM9615) += snd-soc-mdm9615.o

# for MSM 8974 sound card driver
obj-$(CONFIG_SND_SOC_MSM_QDSP6V2_INTF) += qdsp6v2/
snd-soc-msm8974-objs := msm8974.o
obj-$(CONFIG_SND_SOC_MSM8974) += snd-soc-msm8974.o

snd-soc-qdsp6v2-objs := msm-dai-fe.o msm-dai-stub.o
obj-$(CONFIG_SND_SOC_QDSP6V2) += snd-soc-qdsp6v2.o
