=== debian/changelog ===
linux-nexus4 (3.4.0-2.3) raring; urgency=low

  [ Colin King ]

  * Revert "trace: Modify timer_start and irq_handler_entry trace events."
    - LP: #1180394
  * remove CONFIG_NO_ERROR_ON_MISMATCH check
    - LP: #1180394

 --  Tim Gardner <tim.gardner@canonical.com>  Wed, 15 May 2013 07:59:43 -0600

linux-nexus4 (3.4.0-1.2) raring; urgency=low

  [ Seth Forshee ]

  * [Config] CONFIG_STRICT_MEMORY_RWX=n
  * [Config] Enable options for function tracing
  * [Config] CONFIG_DEBUG_RODATA=n
    These config changes enable FTRACE functionality.

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 16 Apr 2013 14:14:50 -0600

linux-nexus4 (3.4.0-0.1) raring; urgency=low

  * Initial revision based on git://phablet.ubuntu.com/CyanogenMod/lge-kernel-mako.git phablet-10.1

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 20 Mar 2013 08:51:54 -0600

linux-nexus4 (3.4.0-0.0) UNRELEASED; urgency=low

  * Dummy entry

 --  Tim Gardner <tim.gardner@canonical.com>  Wed, 27 Feb 2013 11:55:02 -0700
